***********
gui package
***********

The GUI Package contains the entire code base for Faceswap's optional GUI. The GUI itself
is largely self-generated from the command line options specified in :mod:`lib.cli.args`.

.. contents:: Contents
   :local:

analysis package
================


stats module
============

.. rubric:: Package Summary

.. autosummary::
   :nosignatures:
   
   ~lib.gui.analysis.stats.Calculations
   ~lib.gui.analysis.stats.GlobalSession
   ~lib.gui.analysis.stats.SessionsSummary
   ~lib.gui.analysis.event_reader.TensorBoardLogs

.. rubric:: stats Module

.. automodule:: lib.gui.analysis.stats
   :members:
   :undoc-members:
   :show-inheritance:

.. rubric:: event_reader Module

.. automodule:: lib.gui.analysis.event_reader
   :members:
   :undoc-members:
   :show-inheritance:


custom\_widgets module
======================

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~lib.gui.custom_widgets.ConsoleOut
   ~lib.gui.custom_widgets.ContextMenu
   ~lib.gui.custom_widgets.MultiOption
   ~lib.gui.custom_widgets.RightClickMenu
   ~lib.gui.custom_widgets.StatusBar
   ~lib.gui.custom_widgets.Tooltip

.. rubric:: Module

.. automodule:: lib.gui.custom_widgets
   :members:
   :undoc-members:
   :show-inheritance:

display module
==============
.. automodule:: lib.gui.display
   :members:
   :undoc-members:
   :show-inheritance:


display\_analysis module
========================

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~lib.gui.display_analysis.Analysis
   ~lib.gui.display_analysis.StatsData

.. rubric:: Module

.. automodule:: lib.gui.display_analysis
   :members:
   :undoc-members:
   :show-inheritance:

display\_command module
=======================

.. automodule:: lib.gui.display_command
   :members:
   :undoc-members:
   :show-inheritance:

display\_graph module
=====================

.. automodule:: lib.gui.display_graph
   :members:
   :undoc-members:
   :show-inheritance:

menu module
===========
.. automodule:: lib.gui.menu
   :members:
   :undoc-members:
   :show-inheritance:

popup_configure module
======================
.. automodule:: lib.gui.popup_configure
   :members:
   :undoc-members:
   :show-inheritance:

popup_session module
======================
.. automodule:: lib.gui.popup_session
   :members:
   :undoc-members:
   :show-inheritance:

project module
==============

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~lib.gui.project.LastSession
   ~lib.gui.project.Project
   ~lib.gui.project.Tasks

.. rubric:: Module

.. automodule:: lib.gui.project
   :members:
   :undoc-members:
   :show-inheritance:

theme module
============

.. rubric:: Module

.. automodule:: lib.gui.theme
   :members:
   :undoc-members:
   :show-inheritance:

utils package
=============

.. rubric:: Package Summary

.. autosummary::
   :nosignatures:

   ~lib.gui.utils.config.Config
   ~lib.gui.utils.config.initialize_config
   ~lib.gui.utils.config.get_config
   ~lib.gui.utils.file_handler.FileHandler
   ~lib.gui.utils.image.Images
   ~lib.gui.utils.image.get_images
   ~lib.gui.utils.image.initialize_images
   ~lib.gui.utils.misc.LongRunningTask


.. rubric:: config Module

.. automodule:: lib.gui.utils.config
   :members:
   :undoc-members:
   :show-inheritance:


.. rubric:: file_handler Module

.. automodule:: lib.gui.utils.file_handler
   :members:
   :undoc-members:
   :show-inheritance:


.. rubric:: image Module

.. automodule:: lib.gui.utils.image
   :members:
   :undoc-members:
   :show-inheritance:


.. rubric:: misc Module

.. automodule:: lib.gui.utils.misc
   :members:
   :undoc-members:
   :show-inheritance:
